“SSL: CERTIFICATE_VERIFY_FAILED” Error on mac

I had wanted to solve the [SSL: CERTIFICATE_VERIFY_FAILED] problem, because i use mac and python 3,a lot of guys said i should run /Applications/Python\ 3.6/Install\ Certificates.command but...

Flask python app crashes on heroku

I tried pushing my code directly to Heroku for hosting but I got so many errors. Now, what I did was host the code on Github, and then link the git repo with Heroku. Now, the Heroku app was...

Installation of Kivy garden

I'm working on my python app with Kivy 1.10.0 under Ubuntu. I tried various times to install some packages from Kivy garden and followed these official...

How can I install Dlib in a Heroku python web app using requirements.txt?

I built a Python Flask web API that involves machine learning and I've had a lot of frustration deploying it on Heroku. The problem is, my app has a dependency on Dlib ( a library) and I can't...

Trying to see the list of installed modules in python command brings up a blank kivy app window

I have been trying to teach myself python to help with my work routines. After going through some basic language lessons, I wanted to start learning Kivy module to create a windows app. After...

Jupyter-notebook exploding after command conda install -c conda-forge

I hope this post brings you well. I have environment issues that I would love to get assistance on. I installed geopandas with command: conda install -c conda-forge geopandas Then typed...

Run pip package via absolute path

On my Ubuntu 18.04.1 LTS I have installed pipenv package using pip package manager. Package is accessible from ssh login bash. $ pipenv --version will print out following output: pipenv, version...

I can't install apache-airflow

I have been trying to install apache-airflow on my windows 10 machine but i couldn't. Initially, i got the "Microsoft Visual C++ 14.0 missing" error, then i installed it through visual studio...

Neo4j python Driver March 08 Release: ModuleNotFoundError: No module named 'neo4j'

I just installed the newest (08-03-2019) Neo4j package through the command pip install neo4j. and I'm getting this error: Unable to import 'neo4j'pylint(import-error) I checked all the installed...

ModuleNotFoundError while running tests in pytest library

Structure of my files: ----foo.py ----boo.py ----tests_folder -----------------test_foo.py -----------------__init__.py In foo.py I've got import boo. My test_foo.py contains: import...

Unable to install pytorch in conda due to setuptools is a dependency of conda and cannot be removed

conda install pytorch torchvision cudatoolkit=9.0 -c pytorch Here is the error I encountered RemoveError: 'setuptools' is a dependency of conda and cannot be removed from conda's operating...

Failing to 'pip3 install apex' down to failure to build cryptacular (installed)

Problem: pip3 install apex fails because of failure to build cryptacular, errors as below. cryptacular was successfully installed (before attempts of installing apex) using this one-liner: pip3...

beam.io.ReadFromPubSub - ImportError: No module named iam.v1

I have a simple beam pipeline in which I am reading data from pub sub and writing to a file. I am running it on direct runner, the code is as follows: pubsub_data = ( p ...

Websorl returns error " unknown field 'django_ct' " when building schema.xml

Our website runs with Python 3.6.5 and: django==1.11.20 django-haystack==2.8.1 certifi==0.0.8 urllib3<1.25,>=1.21.1 pysolr==3.8.1 I generated schema.xml with django-haystack (python manage.py...

ModuleNotFoundError: No module named 'bs4' in heroku

I'm trying to use beautifulsoup to make a line bot and push the code to Heroku. My code can run in local but after pushed to Heroku it had the following error: 2019-11-30T13:31:11.000000+00:00...

openstacksdk is not found in ansible 2.9

My environment: python --version Python 3.5.2 pip --version pip 19.3.1 from /home/chinmaya/.local/lib/python3.5/site-packages/pip (python 3.5) ansible --version ansible 2.9.2 config...

Python pre-commit unittest skipped

I would like to use pre-commit to handle git hooks for my git project. However, when I use it, the git commit command keeps to skip the unittest execution: (smartexchange) trnbook:SmartExchange...

pre-commit run unittest git hooks: ModuleNotFoundError for installed python module in environment

I use pre-commit to handle git hooks for my git project. When I use it, the pre-commit run -a command keeps to skip the test execution: (smartexchange) trnbook:smartexchange ale$ pre-commit run...

Deploy python app to Heroku "Slug Size too large"

I'm trying to deploy a Streamlit app written in python to Heroku. My whole directory is 4.73 MB, where 4.68 MB is my ML model. My requirements.txt looks like...

Is there a way to install a module named google in Python?

I try to create a speech-to-text transcriber with Python and Google cloud. Unfortunately, it always gives me the error "ModuleNotFoundError: No module named 'google'". I installed plenty of...

How do I not get OSError: [Errno -9993] Illegal combination of I/O devices when using pyaudio

I believe it's this module that's crashing my program and throwing this error: OSError: [Errno -9993] Illegal combination of I/O devices. I wrapped the call to this module in a try except...

Python on Heroku SyntaxError: future feature annotations is not defined

I’m trying to launch a bot telegram to Heroka, but the logs show SyntaxError: future feature annotations is not defined. How can this be fixed? My...

CondaEnvException: Pip failed. I am getting a pip subprocess error when trying to create an environment in conda using a .yml file

I am trying to create an environment in conda using a .yml file. Here are the commands i have run, git clone https://github.com/fastai/fastai cd fastai conda env create -f environment.yml The...

ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:646)

I am trying log to AWS cloud watch and I am getting this error. same code was working all from yesterday without issues. I looked into some article and I installed certifi package as well but this...

Heroku cant detect Procfile (Pycharm)

I have also tried using the echo command and i have it on github also but for some reason it wont be detected. Here is what i have inside Procfile `"worker: python main.py" Here is the build...

Python Geoip2 maxminddb.reader error in EC2 server

Hi I am facing a issue with below code. PS : Its working fine with my local machine but facing issues in servers. import geoip2.database def get_geo_city_from_ip(ip="103.148.20.109"): try: ...

AttributeError: module 'google.cloud.vision' has no attribute 'types'

I did the setup for using the Google Vision API via Python, but it doesn't work and I don't find any good solutions. No matter what I do, I always get "AttributeError: module 'google.cloud.vision'...

Bokeh/panel won't render in-line with Jupyter Lab

I'm trying to visualize Bokeh plots and panels with a Bokeh backend in a notebook in JupyterLab. Things were running fine until I updated. Current packages and versions are below I have tried the...

How to fix strict error when loading RoBerta using PyTorch

Any tips on how to fix this? Trying to follow the basic torch guide here: https://pytorch.org/hub/pytorch_fairseq_roberta/ but running into this error: <ipython-input-16-53ecab33b355> in <module> ...

Heroku: Compiled Slug Size is too large Python

I trying to deploy my app to heroku I have following deploying error transformers 4.8.2 requires huggingface-hub==0.0.12, but you'll have huggingface-hub 0.0.14 which is incompatible. ...